List sync history
curl --request GET \
--url https://app.sure.am/api/v1/syncs \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/syncs"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"in_progress": true,
"terminal": true,
"syncable": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"children_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_start_date": "2023-12-25",
"window_end_date": "2023-12-25",
"pending_at": "2023-11-07T05:31:56Z",
"syncing_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"error": {
"message": "<string>"
}
}
],
"meta": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Sync
List sync history
Returns sanitized sync status history for the authenticated user’s family, including syncs for the family, its accounts, and provider connections. Results are paginated and ordered by creation time (most recent first).
GET
/
api
/
v1
/
syncs
List sync history
Authorizations
API key for authentication. Generate one from your account settings.
Query Parameters
Page number (default: 1)
Items per page (default: 25, max: 100)
Was this page helpful?
⌘I